# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-08
"""

import flatbuffers
import SEAScope.API.OpCode
import SEAScope.API.GetCurrentDatetimeResponse
import SEAScope.API.Command
import SEAScope.types.variable


def serialize(builder):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    opcode = SEAScope.API.OpCode.OpCode().getCurrentDatetime
    SEAScope.API.Command.CommandStart(builder)
    SEAScope.API.Command.CommandAddOpcode(builder, opcode)
    cmd = SEAScope.API.Command.CommandEnd(builder)

    return builder, cmd


def deserialize(buf):
    """"""
    cls = SEAScope.API.GetCurrentDatetimeResponse.GetCurrentDatetimeResponse
    res = cls.GetRootAsGetCurrentDatetimeResponse(buf, 0)

    return res.Timestamp()
