# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-08
"""

import flatbuffers
import SEAScope.API.OpCode
import SEAScope.API.GetTimespanResponse
import SEAScope.API.Command
import SEAScope.types.timespan


def serialize(builder):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    opcode = SEAScope.API.OpCode.OpCode().getTimespan
    SEAScope.API.Command.CommandStart(builder)
    SEAScope.API.Command.CommandAddOpcode(builder, opcode)
    cmd = SEAScope.API.Command.CommandEnd(builder)

    return builder, cmd


def deserialize(buf):
    """"""
    cls = SEAScope.API.GetTimespanResponse.GetTimespanResponse
    res = cls.GetRootAsGetTimespanResponse(buf, 0)

    timespan = SEAScope.types.timespan.deserialize(res.Timespan())

    return timespan
