# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-07
"""

import flatbuffers
import SEAScope.API.Timespan


def serialize(builder, span_obj):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    _label = builder.CreateString(span_obj['label'])
    _past = span_obj['pastOffset']
    _future = span_obj['futureOffset']
    cls = SEAScope.API.Timespan
    cls.TimespanStart(builder)
    cls.TimespanAddLabel(builder, _label)
    cls.TimespanAddPastOffset(builder, _past)
    cls.TimespanAddFutureOffset(builder, _future)
    timespan = cls.TimespanEnd(builder)

    return builder, timespan


def deserialize(o):
    """"""
    result = {}
    result['label'] = o.Label()
    result['pastOffset'] = o.PastOffset()
    result['futureOffset'] = o.FutureOffset()
    return result
