# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-06
"""

import flatbuffers
import SEAScope.API.OpCode
import SEAScope.API.CommandArgs
import SEAScope.API.AddCollection
import SEAScope.API.Command

import SEAScope.types.collection


def serialize(builder, collection_obj):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    _, collection = SEAScope.types.collection.serialize(builder,
                                                        collection_obj)

    cls = SEAScope.API.AddCollection
    cls.AddCollectionStart(builder)
    cls.AddCollectionAddCollection(builder, collection)
    cmd_args = cls.AddCollectionEnd(builder)

    opcode = SEAScope.API.OpCode.OpCode().addCollection
    args_type = SEAScope.API.CommandArgs.CommandArgs().AddCollection
    SEAScope.API.Command.CommandStart(builder)
    SEAScope.API.Command.CommandAddOpcode(builder, opcode)
    SEAScope.API.Command.CommandAddArgsType(builder, args_type)
    SEAScope.API.Command.CommandAddArgs(builder, cmd_args)
    cmd = SEAScope.API.Command.CommandEnd(builder)

    return builder, cmd


def deserialize():
    """"""
    pass
