# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-06
"""

import flatbuffers
import SEAScope.API.OpCode
import SEAScope.API.CommandArgs
import SEAScope.API.AddSource
import SEAScope.API.Command

import SEAScope.types.source


def serialize(builder, src_obj):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    _, _source = SEAScope.types.source.serialize(builder, src_obj)

    cls = SEAScope.API.AddSource
    cls.AddSourceStart(builder)
    cls.AddSourceAddSource(builder, _source)
    cmd_args = cls.AddSourceEnd(builder)

    opcode = SEAScope.API.OpCode.OpCode().addSource
    args_type = SEAScope.API.CommandArgs.CommandArgs().AddSource
    SEAScope.API.Command.CommandStart(builder)
    SEAScope.API.Command.CommandAddOpcode(builder, opcode)
    SEAScope.API.Command.CommandAddArgsType(builder, args_type)
    SEAScope.API.Command.CommandAddArgs(builder, cmd_args)
    cmd = SEAScope.API.Command.CommandEnd(builder)

    return builder, cmd


def deserialize():
    """"""
    pass
