# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-08
"""

import flatbuffers
import SEAScope.API.OpCode
import SEAScope.API.GetDataAlwaysVisibleModeResponse
import SEAScope.API.Command


def serialize(builder):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    opcode = SEAScope.API.OpCode.OpCode().getDataAlwaysVisibleMode
    SEAScope.API.Command.CommandStart(builder)
    SEAScope.API.Command.CommandAddOpcode(builder, opcode)
    cmd = SEAScope.API.Command.CommandEnd(builder)

    return builder, cmd


def deserialize(buf):
    """"""
    _cls = SEAScope.API.GetDataAlwaysVisibleModeResponse
    cls = _cls.GetDataAlwaysVisibleModeResponse
    res = cls.GetRootAsGetDataAlwaysVisibleModeResponse(buf, 0)

    return 0 < res.Active()
