# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2017-03-18
"""

import flatbuffers
import SEAScope.API.GetSobelTargetResponse


def serialize(builder):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    opcode = SEAScope.API.OpCode.OpCode().getSobelTarget
    SEAScope.API.Command.CommandStart(builder)
    SEAScope.API.Command.CommandAddOpcode(builder, opcode)
    cmd = SEAScope.API.Command.CommandEnd(builder)

    return builder, cmd


def deserialize(buf):
    """"""
    cls = SEAScope.API.GetSobelTargetResponse.GetSobelTargetResponse
    res = cls.GetRootAsGetSobelTargetResponse(buf, 0)

    result = {"uri": res.Uri()}

    return result
