# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-08
"""

import flatbuffers
import SEAScope.API.OpCode
import SEAScope.API.CommandArgs
import SEAScope.API.SetNearestMode
import SEAScope.API.Command


def serialize(builder, active):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    cls = SEAScope.API.SetNearestMode
    cls.SetNearestModeStart(builder)
    cls.SetNearestModeAddActive(builder, active)
    cmd_args = cls.SetNearestModeEnd(builder)

    opcode = SEAScope.API.OpCode.OpCode().setNearestMode
    args_type = SEAScope.API.CommandArgs.CommandArgs().SetNearestMode
    SEAScope.API.Command.CommandStart(builder)
    SEAScope.API.Command.CommandAddOpcode(builder, opcode)
    SEAScope.API.Command.CommandAddArgsType(builder, args_type)
    SEAScope.API.Command.CommandAddArgs(builder, cmd_args)
    cmd = SEAScope.API.Command.CommandEnd(builder)

    return builder, cmd


def deserialize():
    """"""
    pass
