# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-07
"""

import flatbuffers
import SEAScope.API.Tag


def serialize(builder, name, value):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)
    _name = builder.CreateString(name)
    _value = builder.CreateString(value)
    SEAScope.API.Tag.TagStart(builder)
    SEAScope.API.Tag.TagAddName(builder, _name)
    SEAScope.API.Tag.TagAddValue(builder, _value)
    tag = SEAScope.API.Tag.TagEnd(builder)
    return builder, tag


def deserialize(t):
    """"""
    return t.Name(), t.Value()
